Page MenuHomePhabricator

Konvertera SVAR länkar till del av sida....
Closed, ResolvedPublic

Description

Status: parametern är problemet men är du inte inloggad så "tappar” Riksarkivet svar mina parametrar efter att jag loggat in mig --> Skickar EMAIL Riksarkivet SVAR att fixa det

Att göra:

  • Testa konceptet
  • Konvertera alla befintliga URL:ar i Wikidata

Vår bildvisningen bygger på UniversalViewer (UV) som är open-source. Vi har nyligen uppgraderat vår version av UV till den senaste versionen i förberedelse för att även kunna visa film på sikt. I samband med detta upptäckte jag att man ersatt parametern z med parametern xywh. z och xywh är i princip samma sak och man kan ersätta detta i url:en. Har ni möjlighet att göra detta i dessa 134 länkar så vore det jättebra, annars måste vi göra en fix som ändrar z till xywh vid anropet?

Event Timeline

Salgo60 created this task.Sep 21 2018, 6:14 AM
Salgo60 added a comment.EditedSep 22 2018, 6:47 AM

Old URL
https://sok.riksarkivet.se/bildvisning/80004726_00062?c=0&m=0&s=0&cv=0#?cv=61&z=437.1952%2C3062.3912%2C2487.5759%2C1588.7405

>

New URL
https://sok.riksarkivet.se/bildvisning/80004726_00062?c=0&m=0&s=0&cv=0#?cv=61&xywh=437.1952%2C3062.3912%2C2487.5759%2C1588.7405

URL retrieved from the software
https://sok.riksarkivet.se/bildvisning/80004726_00062#?cv=61&xywh=955%2C3232%2C1041%2C599&c=&m=&s=

SPARQL query

SPARQL query with Replace

List with corrected URL http://tinyurl.com/yd8q4h6y

§select ?person ?personLabel ?statedinLabel ?refURL ?NewRefURL ?named
{

hint:Query hint:optimizer "None" .
?person wdt:P4963 ?SKBLID. #personer kopplade till SKBL
BIND (URI(CONCAT("https://www.skbl.se/sv/artikel/",?SKBLID)) AS ?SKBL)
?person ?prop ?statement. #all props
{?statement prov:wasDerivedFrom ?ref}
OPTIONAL {?ref pr:P854 ?refURL} 
{?ref pr:P248 ?statedin} 
{?ref pr:P248 wd:Q10501038} 
OPTIONAL {?ref pr:P1810 ?named} 
OPTIONAL {?ref pr:P1476 ?named} 
OPTIONAL {?ref pr:P1683 ?cite} 
minus{ ?ref pr:P248 wd:Q379406}
FILTER (CONTAINS(str(?refURL),'riksarkivet') || (?statedin = wd:Q51277025)) .  
BIND (URI(REPLACE(str(?refURL),"z=","xywh=")) AS ?NewRefURL).
?property wikibase:claim ?prop .
SERVICE wikibase:label { bd:serviceParam wikibase:language "sv","en"}

}
Group by ?person ?personLabel ?statedinLabel ?refURL ?named ?LIBRISID ?SKBL ?cite ?NewRefURL
Order by ?personLabel ?statedinLabel

Problemet verkar vara 2 delar

  1. Att argument bytt namn ==> lösning göra ändring enligt ovan
  2. Då man måste logga in försvinner argumenten ==> SVAR Riksarkivet behöver läsa dom argument som finns i URL:en och skicka läsaren dit efter loggin
Salgo60 updated the task description. (Show Details)Sep 24 2018, 6:46 AM
Salgo60 updated the task description. (Show Details)

Bollat frågan tillbaka till SVAR om dom fixar "inloggnings buggen"

Salgo60 closed this task as Resolved.May 20 2020, 12:08 AM
Salgo60 moved this task from Backlog to Done on the Magnus Sälgö board.

No more action wait on Riksarkivet if they fix it,,,